Gwibber : vers /dev/null en dehors d’Ubuntu ?

Il y a déjà pas mal de temps, j’avais écrit un article gueulante comme quoi les codeurs de Gwibber ne prenait peu ou pas en compte les distributions linux en dehors d’Ubuntu.

La version 3.0.0.x de Gwibber semble – une nouvelle fois ? – appuyer le problème soulevé. Depuis environ deux semaines, il est impossible pour les utilisateurs d’Archlinux – et de Frugalware Linux merci à Devil505 de m’avoir confirmer cela – de lancer et d’utiliser Gwibber 3.0.0.x, comme je l’avais précisé dans un article sur le désamour de Gwibber 3.0.0.x et Gnome 3. Ou encore sur Fedora 15 – encore en développement, qui propose une version 2.91.92 de Gwibber… Etonnant, non ? 😉

fedora15 et gwibber 2.91.92 !

Un bug a été ouvert, avec un message d’erreur – qui je pense est – explicite dans le fichier gwui.py (gwibber User Interface ?), et rien n’a bougé. A croire que le rapport de bug est ignoré.

/usr/lib/python2.7/site-packages/gwibber/gwui.py:753: GtkWarning: IA__gtk_range_set_range: assertion `min < max' failed self.scrollbar.set_range(0, len(self.messages) - 1)

Et ce qui est marrant, c'est de lancer gwibber-service avant gwibber lui-même. La première ligne de sortie en terminal est intéressante...

[fred@fredo-arch ~]$ gwibber-service &
[1] 1459
[fred@fredo-arch ~]$ ERROR:root:Could not find any typelib for Unity
ERROR:root:Could not find any typelib for Dbusmenu
Loading plugin Digg version 1.0
Loading plugin Buzz version 1.0
Loading plugin Qaiku version 1.0
Loading plugin FriendFeed version 0.1
Loading plugin Twitter version 1.0
Loading plugin Identi.ca version 1.1
Loading plugin Foursquare version 1.0
Loading plugin Ping.fm version 0.1
Loading plugin Flickr version 1.0
Loading plugin StatusNet version 1.1
Loading plugin Facebook version 1.1
Loading plugin Digg version 1.0
Loading plugin Buzz version 1.0
Loading plugin Qaiku version 1.0
Loading plugin FriendFeed version 0.1
Loading plugin Twitter version 1.0
Loading plugin Identi.ca version 1.1
Loading plugin Foursquare version 1.0
Loading plugin Ping.fm version 0.1
Loading plugin Flickr version 1.0
Loading plugin StatusNet version 1.1
Loading plugin Facebook version 1.1

Oui, vous avez bien lu, Unity, l'interface que Canonical veut "imposer" à la place de Gnome-Shell, et qui ne fonctionne qu'avec Gnome 2.32.xx, étant donné que Canonical ne prendra Gnome 3 que pour la version 11.10 d'Ubuntu.

Je sais très bien que je vais voir arriver certaines personnes qui me casseront du sucre sur le dos car j'ai osé dire du mal d'Ubuntu et de la politique de Canonical. Mais j'ai l'habitude. D'ailleurs, si Gwibber était codé de manière indépendante, il fonctionnerait aussi avec Gnome 3.

Pour moi, la réponse est désormais Hotot (où il manque la ligne de temps commune mais qui FONCTIONNE !), et je dis adieu - définitivement ? - à Gwibber.

Et BlueGriffon ?

Cela fait quelques temps que je n’ai rien posté concernant l’excellent BlueGriffon de Disruptive Innovations.

Bien que faisant compiler le code une fois par semaine, et depuis l’annonce que la version 0.9 (alias Coffee Overflow) se base sur le code de Mozilla Firefox 4.0, je n’ai pas eu trop l’envie de parler de cet outil qui m’a réconcilié avec l’écriture de pages web sans passer par un CMS comme WordPress par exemple.

La 1.0 approchant, j’ai voulu faire une capture d’écran de celle-ci sous Gnome Shell (alors que les composants arrivent petit à petit dans le dépot gnome-unstable de mon ArchLinux)

Et voici donc BlueGriffon 1.0pre1, alias « Estagnots ».

BlueGriffon 1.0pre1 "Escagnots"

Il n’y a pas eu que la sortie de Mozilla Firefox 4.0 hier !

Suite à mon précédent article – qui m’a valu un taillage de costard maison sur les commentaires de l’article de zdnet – et l‘explosion du compteur de téléchargements recensée pour la sortie de Mozilla Firefox 4.0 (un peu plus de 4,9 millions au moment où je rédige cette bafouille), il serait surement bon de parler d’autres projets du logiciel libre qui ont sortie une nouvelle version (majeure ou mineure) depuis le début de la semaine.

A tout seigneur, tout honneur : LibreOffice est sorti en version 3.3.2. Quelques corrections de bugs et de modification au niveau des traductions. Prochaine étape ? La version 3.4 prévue pour début mai prochain.

Pour les fans de vieilles distributions, la Slackware Linux continue son approche lente mais sure de la version 13.37. Une 3ième RC est sortie, contenant – entre autre chose – un certain Mozilla Firefox 4.0…

Gnome 3 – hautement controversé pour le Gnome-Shell – arrive petit à petit à la fin du developpement de sa version 3.0. La version 2.91.92, alias Release Candidate est – sur le point d’être – disponible. J’attends cependant la disponibilité officielle sur ma distribution pour l’installer.

C’est pas grand chose, mais les médias sont ainsi faits qu’il est tellement plus facile de placer le focus sur un seul évènement que de parler de la diversité de l’actualité… Bah, et contrairement à ce que disait les Beatles, le « We wanna all change the World » dans Revolution, j’y crois pas trop 😉

Vous pouvez surfer l’esprit libre, il n’y a ni trackeurs ni cookies sur ce site. Plus d’informations

Les paramètres des cookies sur ce site sont définis sur « accepter les cookies » pour vous offrir la meilleure expérience de navigation possible. Si vous continuez à utiliser ce site sans changer vos paramètres de cookies ou si vous cliquez sur "Accepter" ci-dessous, vous consentez à cela.

Fermer